QGIS Application - Bug report #18326
Cannot launch QGis 3.0 - .dll error messages
2018-03-04 11:45 AM - Markus Urbscheit

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.0.0 Regression?: No

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied: Resolution: no timely feedback
Crashes QGIS or corrupls data: Copied to github as #: 26216
Description

At launch of QGis 3.0.0 | get the following 5 error messages - see attached screenshots. Neither re-installation nore changing the
installation path solves the issue.

Related issues:

Duplicated by QGIS Application - Bug report # 18980: QGis does not start up -... Closed 2018-05-18
Duplicates QGIS Application - Bug report # 19061: QGis does not start up - pl... Closed 2018-05-29
History

#1 - 2018-03-06 12:00 PM - Giovanni Manghi
- Status changed from Open to Feedback
- Crashes QGIS or corrupts data changed from Yes to No

Likely a local issue. Have you tried on other machines?

#2 - 2018-03-06 12:14 PM - Markus Urbscheit

Thank you Giovanni - no, | do not have another machine. All earlier QGis versions never showed this problem. In case this is a local issue - how could | fix
it? | still have 2.18 installed but since the error messages are about .dll's in specific QGis 3.0-paths this shouldn't matter.

#3 - 2018-03-21 02:39 PM - Bastian Weber

| have the same problem on Windows 10 1709.

We have the same error under 1703.

QGIS is installed via an automatic software installatoin system with user "System".

The installation parameter is "QGIS-OSGe04W-3.0.0-3-Setup-x86_64.exe /S /INCRC".

The installation is finished as successful, but after the first start via a user with or without admin rights the error is that the dlls are corrupt.

If QGIS is installed manually there are no errors.

#4 - 2018-03-21 05:00 PM - Markus Urbscheit

Thank you Bastian - how do | "install QGis manually"?

#5 - 2018-03-23 09:14 AM - Bastian Weber

2025-04-26 1/4




Hello Markus

i normaly start QGIS-OSGeo04W-3.0.0-3-Setup-x86_64.exe on the pc and installed it over the setup. But we want to install QGIS on several computers at

the same time. So we are confused why the error happened.

#6 - 2018-03-27 09:31 AM - Markus Urbscheit

| also used the normal windows installer. The problem remains with the newest version 3.0.1. | cannot start/use QGIS 3.

#7 - 2018-03-27 10:12 AM - Jiirgen Fischer

Markus Urbscheit wrote:

| also used the normal windows installer. The problem remains with the newest version 3.0.1. | cannot start/use QGIS 3.

Check for DLLs in %WINDIR%\system32 that are also in QGIS' PATH (esp. %OSGEO4W_ROOT%\bin and %OSGEO4W_ROOT %\apps\qt5\bin). If

there are any removing them will probably fix the issue (but might break the package that put them there).

#8 - 2018-03-27 10:33 AM - Markus Urbscheit

"but might break the package that put them there" - sorry do not understand this. What is QT5? What other potential package are your talking about?

Might this affect/break other programs than QGis that use these dll's or just previous versions of QGis? So essentially: what is the risk of doing this?

Thanks in advance for explanation. But this cannot be a long term solution for normal unexperienced users - digging out and deleting files deep in the

system... There must be an automized mechanism to solve this in the long term, otherwise people will just feel helpless and stay with version 2.18.

#9 - 2018-03-27 10:58 AM - Jiirgen Fischer

Markus Urbscheit wrote:

"but might break the package that put them there" - sorry do not understand this. What is QT57?

The toolkit we use

What other potential package are your talking about?

No idea. It shouldn't have put the DLLs there in the first place.

Might this affect/break other programs than QGis that use these dll's or just previous versions of QGis?

It will only break other programs - those which expect their DLLs in system32. Unfortunately windows always prefers DLLs from system32 to over anything

that is in PATH.

So essentially: what is the risk of doing this? Thanks in advance for explanation. But this cannot be a long term solution for normal unexperienced

users - digging out and deleting files deep in the system... There must be an automized mechanism to solve this in the long term, otherwise people
will just feel helpless and stay with version 2.18.
Feel free to suggest one.

#10 - 2018-03-27 11:05 AM - Markus Urbscheit

Thanks very much Jirgen for your quick reaction and help - | apreciate it! So it would be probably be quite safe to keep a backup of the dll's, try out and
see if something happens to other programs. I'll do this later on when | have more time.

Have a great day

#11 - 2018-08-11 08:54 PM - BYRON BRAVO

Markus Urbscheit wrote:

Thanks very much Jiirgen for your quick reaction and help - | apreciate it! So it would be probably be quite safe to keep a backup of the dll's, try out

and see if something happens to other programs. I'll do this later on when | have more time.

Have a great day

please help us with a solution, possibly not have time, but | would be very grateful if you help me, otherwise | will have no choice but to stay with the 2.xx

#12 - 2018-08-12 10:15 AM - Jiirgen Fischer

BYRON BRAVO wrote:

please help us with a solution, possibly not have time, but | would be very grateful if you help me, otherwise | will have no choice but to stay with the

2.XX

Like? Did you find conflicting DLLs in system32?

#13 - 2018-08-12 02:35 PM - Giovanni Manghi
Markus Urbscheit wrote:
"but might break the package that put them there" - sorry do not understand this. What is QT5? What other potential package are your talking about?

Might this affect/break other programs than QGis that use these dll's or just previous versions of QGis?

yes, but those programs should not have placed any DLL in WINDIR\system32 in the first place (contributing the the well known "DLL Hell", that you are

experiencing). Blame the others in this case, not QGIS.

#14 - 2018-11-11 04:12 AM - Jiirgen Fischer
- Resolution set to no timely feedback

- Status changed from Feedback to Closed

#15 - 2018-11-11 11:25 AM - Jiirgen Fischer

2025-04-26 3/4



- Duplicated by Bug report #18980: QGis does not start up - only error messages added

#16 - 2018-11-11 11:28 AM - Jiirgen Fischer
- Duplicates Bug report #19061: QGis does not start up - please help! added
